Foreman - Bug #11990

app/services/fact_parser.rb does not return all the virtual interfaces
09/29/2015 05:13 AM - Julien Pivotto

Status: Closed
Priority: Normal
Assignee:
Category: Facts
Target version: 1.10.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2765
Description

This looks like a bug:
While taking a look into the foreman code, | saw that snippet in app/services/fact_parser.rb

def find_physical_interface(interfaces)
interfaces.detect { |int, _| int.to_s !~ FactParser::VIRTUAL_NAMES }
end

def find_virtual_interface (interfaces)
int.to_s =~ /#{FactParser::BONDS}/ }

interfaces.detect { |int,
end

| think this should be

def find_physical_interface (interfaces)
int.to_s !~ FactParser::VIRTUAL_NAMES }

interfaces.detect { |int,
end

def find_virtual_interface (interfaces)
interfaces.detect { |int, int.to_s =~ FactParser::VIRTUAL_NAMES }
end

Associated revisions

Revision 39912bb3 - 10/01/2015 07:48 AM - Julien Pivotto

fixes #11990 - improve virtual interfaces discovery in fact parser

History

#1 - 09/29/2015 05:13 AM - Julien Pivotto

- Description updated

#2 - 09/29/2015 05:16 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2765 added
- Pull request deleted ()

#3 - 10/01/2015 08:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 39912bb3bd13acef35dc6ebb2b785ca8c7748cef.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/39912bb3bd13acef35dc6ebb2b785ca8c7748cef

#4 - 10/06/2015 03:42 AM - Dominic Cleal

- translation missing: en.field_release set to 63
